"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeSvg = require("react-native-svg");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const WavyBackground = _ref => {
  let {
    frequency,
    amplitude,
    width,
    height,
    offset,
    color = 'black',
    bottom = false
  } = _ref;

  const [path, setPath] = _react.default.useState();

  const getPath = () => {
    const units = frequency * width / 100;
    let wavePath = '100 0, 0 0 ';

    for (let i = 0; i <= 100; i++) {
      let val = ((offset + amplitude * Math.cos(i / units)) / height * 100).toFixed(2);
      wavePath += `, ${i} ${val}`;
    }

    setPath(wavePath);
  };

  _react.default.useEffect(() => {
    getPath();
  }, [path, frequency, amplitude, width, height, offset, bottom, color]);

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      transform: [{
        rotate: bottom ? '180deg' : '0deg'
      }]
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
    width: "100%",
    height: 200,
    viewBox: "0 0 100 100",
    preserveAspectRatio: "none"
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Polygon, {
    points: path,
    fill: color
  })));
};

var _default = WavyBackground;
exports.default = _default;
//# sourceMappingURL=index.js.map