import React from 'react';
import { View } from 'react-native';
import { Polygon, Svg } from 'react-native-svg';

const WavyBackground = _ref => {
  let {
    frequency,
    amplitude,
    width,
    height,
    offset,
    color = 'black',
    bottom = false
  } = _ref;
  const [path, setPath] = React.useState();

  const getPath = () => {
    const units = frequency * width / 100;
    let wavePath = '100 0, 0 0 ';

    for (let i = 0; i <= 100; i++) {
      let val = ((offset + amplitude * Math.cos(i / units)) / height * 100).toFixed(2);
      wavePath += `, ${i} ${val}`;
    }

    setPath(wavePath);
  };

  React.useEffect(() => {
    getPath();
  }, [path, frequency, amplitude, width, height, offset, bottom, color]);
  return /*#__PURE__*/React.createElement(View, {
    style: {
      transform: [{
        rotate: bottom ? '180deg' : '0deg'
      }]
    }
  }, /*#__PURE__*/React.createElement(Svg, {
    width: "100%",
    height: 200,
    viewBox: "0 0 100 100",
    preserveAspectRatio: "none"
  }, /*#__PURE__*/React.createElement(Polygon, {
    points: path,
    fill: color
  })));
};

export default WavyBackground;
//# sourceMappingURL=index.js.map